@import "../../../../assets/styles/variables";
@import "../../../../assets/styles/mixins";

.margin-top{
    margin-top: 52px;
}

.header-rgba{
    width: 100%;
    height: 32px;
    background-color: rgba(0,0,0,0.7);
    top: 100%;
    transform: translateY(-100%);

    span.eye{
        font-size: 0.9rem;
        i{
            font-size: 1.2rem;
            color: $red;
        }
    }

    span.time{
        font-size: 0.9rem;
        i{
            font-size: 1.2rem;
            color: $white;
        }
    }

}

.radius{
    border-bottom-left-radius: 10px;
    border-bottom-right-radius: 10px;
}

.main-image{
    width: 100%;
    height: 480px;
    overflow-y: hidden;
    z-index: -1;

    .parent{
        top: 0;
        left: 0;
        z-index: 1000000;

        .left{
            z-index: 200;

            .image-left{
                width: 220px;
                height: 165px;
                z-index: 10!important;
                margin-top: 197px !important;
                border-radius: 5px;

                img{
                    border-radius: 5px;
                }
            }
            .play{
                width: 290px;
                height: 88px;
                font-size: 1.3em;
                border-top-right-radius: 50px;
                border-bottom-right-radius: 50px;
                z-index: 1;
                span{
                    line-height: 88px;
                }

                i{
                    font-size: 3.6rem;
                }
            }
        }

        .right{
            z-index: 200;

            .image-right{
                width:288px;
                height: 430px;
                z-index: 10 !important;
                border-radius: 5px;

                img{
                    width: 288px;
                    height: 100%;border-radius: 5px;
                }
            }

            p:nth-child(1){
                font-size: 0.8rem;
            }

            p:nth-child(2){
                font-size: 1.2rem;
            }
        }

        .header{
            width: 100%;
            height: 150px;
            top: 100%;
            transform: translateY(-100%);
            background:linear-gradient(180deg, rgba(0, 0, 0, 0.2) 0%, rgba(0, 0, 0, 0.7) 49.16%, #000000 100%);
            span.eye{
                top: 5px;
                left: 33px;
                z-index: 100;
                font-size: 0.9rem;
                i{
                    font-size: 1.2rem;
                    color: $red;
                }
            }

            span.time{
                left: 190px;
                top: 5px;
                z-index: 1000;
                font-size: 0.9rem;
                i{
                    font-size: 1.2rem;
                    color: $white;
                }
            }
        }
    }
}

.summary{
    //width: ;
    border-bottom: 1px solid $tw-gray3;

    .text{
        line-height: 35px;
    }
}

.artist{
    width: 98%;
    height: 230px;
    border-bottom: 1px solid $tw-gray3;

    .face{
        width: 60px;
        height: 60px;
        border-radius: 5px;
        border: 1px solid $tw-gray3;
        transition: 400ms;

        &:hover{
            width: 70px;
            height: 70px;
            border-color:$red ;
        }
    }
}

.box{
    font-size: 0.7rem;
    border: 1px solid $tw-gray3;
    border-radius: 5px;
}

    .detaile{
        width: 288px;
        border-radius: 5px;
    }



.part-mobile{
    width: 95%;
    border-radius: 35px;
    border: 1px solid $tw-gray3;
    transition: 400ms;
    font-size: 0.8rem;
    &:hover{
        border-color: $red;
    }
}

.player{
    background-color: transparent;

    .image-series{
        width: 380px;
        height: 200px;
        background-position: top;
        background-size: cover;
        background-repeat: no-repeat;
        border-radius: 5px;

    }

    .play-mobile{
        width:430px;
        height: 88px;
        font-size: 1.3rem;
        border-top-right-radius: 50px;
        border-bottom-right-radius: 50px;
        span{
            line-height: 88px;
        }
        i{
            font-size: 3.6rem;
        }
    }

}

@include media-breakpoint-only(md) {
    .main-image{
        height: 256px;

        .parent{
            top: 0;
            left: 0;
            z-index: 1000;
            .right{
                z-index: 200;

                .image-right{
                    width:150px;
                    height: 208px;
                    z-index: 10 !important;
                    border-radius: 5px;

                    img{
                        width: 100%;
                        height: 100%;border-radius: 5px;
                    }
                }

                p:nth-child(1){
                    font-size: 0.8rem;
                }

                p:nth-child(2){
                    font-size: 1.2rem;
                }
            }
        }
    }

    .detaile{
        width: 232px;
        font-size: 0.8rem;
    }

    .summary{
        width: 96%;
        border-bottom: 1px solid $tw-gray3;

        .text{
            line-height: 35px;
            font-size: 0.8rem;
        }
    }

}

@include media-breakpoint-only(sm) {

    .margin-top{
        margin-top: 100px;
    }

    .main-image{
        height: 256px;

        .parent{
            top: 0;
            left: 0;
            z-index: 1000;
            .right{
                z-index: 200;

                .image-right{
                    width:150px;
                    height: 208px;
                    z-index: 10 !important;
                    border-radius: 5px;

                    img{
                        width: 100%;
                        height: 100%;border-radius: 5px;
                    }
                }

                p:nth-child(1){
                    font-size: 0.8rem;
                }

                p:nth-child(2){
                    font-size: 1.2rem;
                }
            }
        }

    }

    .summary{
        width: 96%;
        border-bottom: 1px solid $tw-gray3;
        .title{
            font-size: 1rem;
        }

        .text{
            line-height: 35px;
            font-size: 0.9rem;
        }
    }

    .detaile{
        width: 98%;
        font-size: 0.9rem;
    }

}

@include media-breakpoint-only(xs) {

    .margin-top{
        margin-top: 100px;
    }
    .main-image{
        height: 256px;

        .parent{
            top: 0;
            left: 0;
            z-index: 1000;
            .right{
                z-index: 200;

                .image-right{
                    width:150px;
                    height: 208px;
                    z-index: 10 !important;
                    border-radius: 5px;

                    img{
                        width: 150px;
                        height: 100%;border-radius: 5px;
                    }
                }

                p:nth-child(1){
                    font-size: 0.7rem;
                }

                p:nth-child(2){
                    font-size: 0.9rem;
                }
            }
        }

    }

    .summary{
        width: 96%;
        border-bottom: 1px solid $tw-gray3;
        .title{
            font-size: 0.9rem;
        }

        .text{
            line-height: 35px;
            font-size: 0.8rem;
        }
    }

    .detaile{
        width: 98%;
        font-size: 0.8rem;
    }
}

